#include<fstream>
#include<stdlib.h>
#include<vector>
using namespace std;
ifstream fi("BAI3_16.inp");
ofstream fo("BAI3_16.out");
int n;
int r;
int m[10000];
vector <int> k(10000,0);
int compar (const void * a, const void * b)
{
  return ( *(int*)a - *(int*)b );
}
int main()
{
	fi>>n;
	for(int i=0;i<n;i++)
	{
		fi>>m[i];
		k[i]=1;
	}
	qsort(m,n,sizeof(int),compar);
	for(int j=1;j<=m[n-1];j++)
	{
		if(k[j]==0)
		{
			r=j;
		}
		if(j+1==r)
		{
			break;
		}
	}
	if(r==0) fo<<m[n-1]+1;
	else fo<<r;
	fi.close();
	fo.close();
}
